// pages/agent/orderList/index.js
import api from '../../api/api'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    param:{
      "id": "20230206091503",
      "version":1,
      "content": {
        "pageSize":20,
        "pageNumber":1,
        "sys_enterpriseid":0
      }
    },
    list:[]
  },
  async listData () {
    const res = await api._post(this.data.param)

    if (res.data.length > 0) {
      this.setData({
        list:this.data.list.concat(res.data)
      })
    } else {
      wx.showToast({
        title: '没有更多了!',
        duration: 2000,
        icon: 'none'
      })
    }
  },
  onClick (data) {
    let item = data.currentTarget.dataset.item
    let form = getApp().globalData.formData
    form.data.formLayoutData.formInfo.forEach(e=>{
      if (e.id === 'sa_orderid' ) {
        e.inputValue = item.sa_orderid
      }
    })
    form.setData({
      formLayoutData:form.data.formLayoutData
    })

    wx.navigateBack({
      delta:0
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    let that = this
    let form = getApp().globalData.formData
    form.data.formLayoutData.formInfo.forEach(e=>{
      if (e.id === 'sys_enterpriseid' ) {
        that.data.param.content.sys_enterpriseid = e.inputValue
      }
    })
    this.listData()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {
    this.data.list = []
    this.data.param.content.pageNumber = 1
    this.listData()
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {
    this.data.param.content.pageNumber ++
    this.listData()
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})